Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions

# AuxBitplaneAttrib Class Reference

Modern frame buffers can have 'aux' bitplanes, which are additional bitplanes above and beyond the standard depth and color. More...

Inheritance diagram for AuxBitplaneAttrib:

List of all members.

## Public Types
enum | AuxBitplaneOutput { ABOGlow = 1, ABOAuxNormal = 2, ABOAuxGlow = 4 }
## Public Member Functions
int | getOutputs ()
| Returns the AuxBitplaneAttrib output bits.
## Static Public Member Functions
static int | getClassSlot ()
static TypeHandle | getClassType ()
static RenderAttrib const | make (int outputs)
| Constructs a specified AuxBitplaneAttrib object.
static RenderAttrib const | make ()
| Constructs a default AuxBitplaneAttrib object.
static RenderAttrib const | makeDefault ()
| Returns a RenderAttrib that corresponds to whatever the standard default properties for render attributes of this type ought to be.

## Detailed Description

Modern frame buffers can have 'aux' bitplanes, which are additional bitplanes above and beyond the standard depth and color.

This attrib controls what gets rendered into those additional bitplanes. It can also affect what goes into the alpha channel of the primary color buffer.

ABO_glow: copy the glow map into the alpha channel of the primary frame buffer. If there is no glow map, set it to zero. Caveat: it is not possible to write glow or depth values to the framebuffer alpha channel at the same time as using alpha blending or alpha testing. Any attempt to use transparency, blending, or alpha testing will cause this flag to be overridden.

ABO_aux_normal: put the camera-space normal into the into the R,G components of the first auxiliary bitplane.

ABO_aux_modelz: put the clip-space Z coordinate of the center of the model (after perspective divide) into the B channel of the first auxiliary bitplane.

ABO_aux_glow: put a copy of the glow map into the alpha channel of the first auxiliary bitplane. If there is no glow map, set it to zero.

AuxBitplaneAttrib is relevant only when shader generation is enabled. Otherwise, it has no effect.

## Member Enumeration Documentation

enum AuxBitplaneOutput

Enumerator:

  ABOGlow |
  ABOAuxNormal |
  ABOAuxGlow |

## Member Function Documentation

static int getClassSlot | ( |  | ) | `[static]`

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from RenderAttrib.

int getOutputs | ( |  | ) |

Returns the AuxBitplaneAttrib output bits.

static RenderAttrib const make | ( | int | outputs | ) | `[static]`

Constructs a specified AuxBitplaneAttrib object.

static RenderAttrib const make | ( |  | ) | `[static]`

Constructs a default AuxBitplaneAttrib object.

static RenderAttrib const makeDefault | ( |  | ) | `[static]`

Returns a RenderAttrib that corresponds to whatever the standard default properties for render attributes of this type ought to be.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties